
package de.ivu.elect.presentation.wahlvorschlag.form;

import java.util.List;

import javax.annotation.Nullable;

import de.ivu.elect.business.gebietsbaum.entity.Gebiet;
import de.ivu.elect.business.gruppe.entity.Gruppe;
import de.ivu.elect.jee.presentation.dynamicform.Property;

public interface WahlvorschlagGruppeFinderProperty extends Property {

  boolean getDefaultRequired();

  String getDefaultLabelMsgKey();

  List<Gruppe> getValues();

  Gruppe getValue();

  void setValue(Gruppe value);

  String getItemLabel(@Nullable Gruppe value);

  Gruppe getGruppe();

  Gebiet getGebiet();
}
